Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push
Interface Session

    public interface Session

Author:
  Nick Belaevski

Method Summary
`void` | `connect(Request request)`
`void` | `destroy()`
`void` | `disconnect()`
`java.util.Map<TopicKey,java.lang.String>` | `getFailedSubscriptions()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`Request` | `getRequest()`
`com.google.common.collect.Multimap<TopicKey,TopicKey>` | `getSuccessfulSubscriptions()`
`void` | `onRequestDisconnected()`
`void` | `onRequestResumed()`
`void` | `onRequestSuspended()`
`void` | `subscribe(java.lang.String[] topics)`

Method Detail

### getMaxInactiveInterval

    int getMaxInactiveInterval()

### getLastAccessedTime

    long getLastAccessedTime()

### getId

    java.lang.String getId()

### getSuccessfulSubscriptions

    com.google.common.collect.Multimap<TopicKey,TopicKey> getSuccessfulSubscriptions()

### getFailedSubscriptions

    java.util.Map<TopicKey,java.lang.String> getFailedSubscriptions()

### subscribe

    void subscribe(java.lang.String[] topics)

### connect

    void connect(Request request)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### disconnect

    void disconnect()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### onRequestSuspended

    void onRequestSuspended()

### onRequestDisconnected

    void onRequestDisconnected()

### onRequestResumed

    void onRequestResumed()

### destroy

    void destroy()

### getRequest

    Request getRequest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.